> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/rest-api/rooms/files.md).

# Files

To link files to a room you can use the "**files**" property when [creating](/reference/rest-api/rooms/create.md) or [editing](/reference/rest-api/rooms/edit.md) a room.

A file can be a single image or a collection (array) of images if it is a presentation.&#x20;

Users with **present\_files** permission can later open these files inside the room from the **Files** panel and displayed them to all other users. Navigation between presentation's slides is available and arrows can also be used to go to next or previous slide.

#### Request (when POST to /api/v1/rooms or PATCH to /api/v1/rooms:id)

```json
{
 ...Other room props here...
 
 "files": [
    {
        "name": "starship.png",
        "url": "https://cdn.britannica.com/51/238251-050-EF7A9C22/SpaceX-Starship-Super-Heavy-Rocket-Boca-Chica-Texas-February-2022.jpg",
        "thumbnail_url": "https://cdn.rebrickable.com/media/thumbs/mocs/moc-66505.jpg/1000x800.jpg"
    },
    {
        "name": "Plan for 2024.ppt",
        "pages": [
            {
               "url": "https://www.lifewire.com/thmb/sXrReuuQUimBg2RQSU7f2bNBXIU=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/create-pictures-from-powerpoint-slides-R1-5c260a9c46e0fb0001fe92b4.jpg",
               "thumbnail_url": "https://www.lifewire.com/thmb/sXrReuuQUimBg2RQSU7f2bNBXIU=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/create-pictures-from-powerpoint-slides-R1-5c260a9c46e0fb0001fe92b4.jpg"
            },
            {
               "url": "https://www.aiseesoft.com/images/how-to/save-powerpoint-slides-as-jpeg/save-powerpoint-slides-as-jpeg.jpg",
               "thumbnail_url": "https://www.aiseesoft.com/images/how-to/save-powerpoint-slides-as-jpeg/save-powerpoint-slides-as-jpeg.jpg"
            }
        ]
    }
  ]
  
}
```

#### Response (200 OK)

```json
{
  ...Other room props here...
  
 "files": [
    {
        "id": "25e6b948-cc6a-47cb-85c4-52fc4549b09f",
        "name": "Plan for 2024.ppt",
        "pages": [
            {
                "url": "https://www.lifewire.com/thmb/sXrReuuQUimBg2RQSU7f2bNBXIU=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/create-pictures-from-powerpoint-slides-R1-5c260a9c46e0fb0001fe92b4.jpg",
                "thumbnail_url": "https://www.lifewire.com/thmb/sXrReuuQUimBg2RQSU7f2bNBXIU=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/create-pictures-from-powerpoint-slides-R1-5c260a9c46e0fb0001fe92b4.jpg"
            },
            {
                "url": "https://www.aiseesoft.com/images/how-to/save-powerpoint-slides-as-jpeg/save-powerpoint-slides-as-jpeg.jpg",
                "thumbnail_url": "https://www.aiseesoft.com/images/how-to/save-powerpoint-slides-as-jpeg/save-powerpoint-slides-as-jpeg.jpg"
            }
        ]
    },
    {
        "id": "b52a8218-1cd9-4ade-9d42-e4472af241d6",
        "name": "starship.png",
        "url": "https://cdn.britannica.com/51/238251-050-EF7A9C22/SpaceX-Starship-Super-Heavy-Rocket-Boca-Chica-Texas-February-2022.jpg",
        "thumbnail_url": "https://cdn.rebrickable.com/media/thumbs/mocs/moc-66505.jpg/1000x800.jpg"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/rooms/files.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
